#include <bits/stdc++.h>
using namespace std;
int a,b,x,y;
int main(){
  cin>>a>>b;
  cin>>x>>y;
  if(x==a and b==y)cout<<"nijedan"<<endl;
  else if(x==a and b>y)cout<<"drugi"<<endl;
  else if(a>x and b==y)cout<<"prvi"<<endl;
  else cout<<"?"<<endl;
  return 0;
}